package sv.kernel;

import java.awt.*;
import java.io.*;
import java.util.*;

import sv.util.*;

/** 
 * DataSetTree.java
 * Define our Tree chart data
 * @version 1.0  5/1/98
 * @author Byeongseob Ki
 */

public class DataSetTree extends DSPlane {

  /**
   * constructor for 2D  data
   * @param title title of this class
   * @param vs time data
   */
  public DataSetTree(String title,  TimeDataTree vs) {
    super(title, vs);
    dataType = DSPlane.TREE;
  }

  /**
   * constructor for tree  data
   * @param title title of this class
   * @param tv time data vector
   */
  public DataSetTree(String title,  Vector tv) {
    super(title, tv);
    dataType = DSPlane.TREE;
  }

} // end of class






