package sv.script;

public class PRINTStatement extends Statement {

  public PRINTStatement(String input, String input2) {
     super(PRINT, input);
     try { parse(input2); } catch (Exception e) {}
  }

  protected void parse(String str) throws ScriptSyntaxError {
     int idx = str.indexOf(" ");
     if (idx < 1) throw new ScriptSyntaxError("Missing string.");

     args = new Argument[2];

     args[0] = new Argument(Argument.CONSTANT_STRING, 
                               str.substring(0, idx).toLowerCase());
 
     str = str.substring(idx).trim();
     if (str.length() < 1) throw new ScriptSyntaxError("Missing string.");
     args[1] = new Argument(Argument.CONSTANT_STRING, str);
  }

} // end of class




