package sv.script;

/**
 * Thrown by the parser if it can't parse an input line.
 */
public class ScriptSyntaxError extends Exception {
    String msg = "None.";

    /**
     * A Syntax error with message <i>errorMessage</i>
     */
    public ScriptSyntaxError(String errorMessage) {
        super(errorMessage);
        msg = errorMessage;
    }

    /**
     * Return the syntax error message.
     */
    public String getMsg() { return "Syntax Error : "+ msg; }
}
