package sv.kernel;

import java.awt.*;
import java.io.*;
import java.util.*;

import sv.util.*;

/** 
 * DataSetBar.java
 * Define our bar chart data
 * @version 1.0  5/1/98
 * @author Byeongseob Ki
 */

public class DataSetBar extends DSPlane {

  /**
   * constructor for 2D  data
   * @param title title of this class
   * @param vs time data
   */
  public DataSetBar(String title,  TimeDataBar vs) {
    super(title, vs);
    dataType = DSPlane.BAR;
  }

  /**
   * constructor for 2D  data
   * @param title title of this class
   * @param tv time data vector
   */
  public DataSetBar(String title,  Vector tv) {
    super(title, tv);
    dataType = DSPlane.BAR;
  }

} // end of class






