import java.awt. *;
import java.io. *;
import java.awt.event. *;

public class FilterCompile extends Frame 
                                implements WindowListener, ItemListener {
   static List msgs;
   String name;
   boolean error = false;
   private FilterIDE ide;  

   FilterCompile (FilterIDE parent, String path, String compilername) {
       super("Compile Error: ");
       ide=parent;
       addWindowListener(this);	// register this class as a window listener
       InputStream is;

       msgs = new List(6, false);
       add ("Center", msgs);
       msgs.addItemListener(this);
       name = path;
       try {
	  Process ps = Runtime.getRuntime().exec(compilername + " " + name);
          is = ps.getErrorStream();
	  BufferedReader ds = new BufferedReader(new InputStreamReader(is));
          String str = ds.readLine();
          msgs.addItem(str);
          while (str != null) {
             str = ds.readLine ();
             if (str != null)
		msgs.addItem (str);
             error = true;
          }
	  ds.close ();
	} catch (Exception err) {
          err.printStackTrace();
	}
   }

   // WindowListener implementation
   public void windowClosed (WindowEvent event) {
   }
   public void windowDeiconified (WindowEvent event) {
   }
   public void windowIconified (WindowEvent event) {
   }
   public void windowActivated (WindowEvent event) {
   }
   public void windowDeactivated (WindowEvent event) {
   }
   public void windowOpened (WindowEvent event) {
   }
   public void windowClosing (WindowEvent event) {
      this.dispose ();
   }
     
   public void itemStateChanged(ItemEvent e) {
     // nothing to do yet
   }

} // end of class
