package sv.script;

public class GOTOStatement extends Statement {

  public GOTOStatement(String input, String input2) {
     super(GOTO, input);
     try { parse(input2); } catch (Exception e) {}
  }

  protected void parse(String str) throws ScriptSyntaxError {
     if (str == null || str.trim().length() < 1) 
        throw new ScriptSyntaxError("Missing block name");

     args = new Argument[1];

     args[0] = new Argument(Argument.CONSTANT_STRING, str.trim());     
  }

} // end of class




