package sv.script;

public class WAITStatement extends Statement {

  public WAITStatement(String input, String input2) {
     super(WAIT, input);
     try { parse(input2); } catch (Exception e) {}
  }

  protected void parse(String str) throws ScriptSyntaxError {
     if (str == null || str.length() < 1) 
        throw new ScriptSyntaxError("Usage: wait USER|int_val");

     args = new Argument[1];
     
     if (str.equalsIgnoreCase("user"))
        args[0] = new Argument(Argument.CONSTANT_STRING, str);
     else {
        try {
           args[0] = new Argument(Argument.CONSTANT_INT, Integer.valueOf(str).intValue());
	} catch (Exception e) {
           throw new ScriptSyntaxError("Usage: wait USER|int_val");
        }
     }
  }

} // end of class




